%define upstream_name	 POE-Component-IRC
%define upstream_version 6.95

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A fully event-driven IRC client module
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IRC::Utils) >= 0.120.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(POE::Component::Syndicator)
BuildRequires: perl(POE::Driver::SysRW)
BuildRequires: perl(POE::Filter::IRCD) >= 2.420.0
BuildRequires: perl(POE::Filter::Line)
BuildRequires: perl(POE::Filter::Stackable)
BuildRequires: perl(POE::Filter::Stream)
BuildRequires: perl(POE::Session)
BuildRequires: perl(POE::Wheel::ReadWrite)
BuildRequires: perl(POE::Wheel::SocketFactory)
BuildRequires: perl(Test::Differences) >= 0.610.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::IRC is a POE (Perl Object Environment) component
which provides a convenient way for POE applications to create a tiny
IRC client session and send and receive IRC events through it. If that
first sentence was a bit too much, go read the POE documentation over
and over until it makes some sense.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find lib -name \*.pm | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/POE
%_mandir/*/*

%changelog
* Tue Jul 15 2025 tv <tv> 6.950.0-1.mga10
+ Revision: 2255832
- update to 6.95

* Fri Jun 27 2025 umeabot <umeabot> 6.930.0-3.mga10
+ Revision: 2211857
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 6.930.0-2.mga9
+ Revision: 1830480
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 6.930.0-1.mga9
+ Revision: 1731851
- update to 6.93

* Fri Jun 11 2021 tv <tv> 6.920.0-1.mga9
+ Revision: 1730384
- update to 6.92

* Tue Jun 08 2021 tv <tv> 6.910.0-1.mga9
+ Revision: 1730141
- update to 6.91

* Wed Feb 12 2020 umeabot <umeabot> 6.900.0-4.mga8
+ Revision: 1505799
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.900.0-3.mga7
+ Revision: 1285464
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 6.900.0-2.mga7
+ Revision: 1166310
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 6.900.0-1.mga7
+ Revision: 1160894
- new release

* Sun Jun 19 2016 pterjan <pterjan> 6.880.0-7.mga6
+ Revision: 1032502
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 6.880.0-6.mga6
+ Revision: 949935
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 6.880.0-5.mga5
+ Revision: 791798
- Rebuild to fix broken dependencies

* Wed Oct 15 2014 umeabot <umeabot> 6.880.0-4.mga5
+ Revision: 745390
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 6.880.0-3.mga5
+ Revision: 733319
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 6.880.0-2.mga5
+ Revision: 685819
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 sander85 <sander85> 6.880.0-1.mga5
+ Revision: 640862
- update to 6.88

* Sat Jun 21 2014 sander85 <sander85> 6.870.0-1.mga5
+ Revision: 638428
- update to 6.87

* Sat Jun 21 2014 sander85 <sander85> 6.860.0-1.mga5
+ Revision: 638365
- update to 6.86

* Tue Jun 17 2014 sander85 <sander85> 6.840.0-1.mga5
+ Revision: 637816
- update to 6.84

* Sat Oct 19 2013 umeabot <umeabot> 6.830.0-2.mga4
+ Revision: 527195
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 6.830.0-1.mga4
+ Revision: 439728
- update to 6.83

* Sun Jan 13 2013 umeabot <umeabot> 6.810.0-2.mga3
+ Revision: 371237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 6.810.0-1.mga3
+ Revision: 342475
- update to 6.81

* Wed Sep 26 2012 jquelin <jquelin> 6.800.0-1.mga3
+ Revision: 298082
- update to 6.80

* Fri Dec 09 2011 kharec <kharec> 6.780.0-1.mga2
+ Revision: 179419
- update to 6.78

* Sun Dec 04 2011 kharec <kharec> 6.770.0-1.mga2
+ Revision: 175951
- update to 6.77

* Thu Dec 01 2011 kharec <kharec> 6.760.0-1.mga2
+ Revision: 174796
- update to 6.76

* Mon Nov 14 2011 jquelin <jquelin> 6.750.0-1.mga2
+ Revision: 167662
- update to 6.75

* Thu Oct 13 2011 jquelin <jquelin> 6.740.0-1.mga2
+ Revision: 154439
- update to 6.74

* Mon Sep 26 2011 jquelin <jquelin> 6.710.0-1.mga2
+ Revision: 148204
- update to 6.71
- update to 6.70

* Wed Jun 15 2011 jquelin <jquelin> 6.680.0-1.mga2
+ Revision: 107875
- update to 6.68

* Tue Apr 19 2011 jquelin <jquelin> 6.600.0-1.mga1
+ Revision: 88562
- update to 6.60

* Thu Apr 07 2011 jquelin <jquelin> 6.590.0-1.mga1
+ Revision: 81798
- update to 6.59

* Sun Apr 03 2011 jquelin <jquelin> 6.570.0-1.mga1
+ Revision: 80077
- update to 6.57

* Sun Mar 13 2011 jquelin <jquelin> 6.540.0-1.mga1
+ Revision: 70512
- update to 6.54

* Mon Jan 24 2011 jquelin <jquelin> 6.520.0-1.mga1
+ Revision: 37134
- mageia rebuild
- imported package perl-POE-Component-IRC

